#ifndef RECTANGLE_HPP_INCLUDED
#define RECTANGLE_HPP_INCLUDED

#include "shape.hpp"

class Rectangle : public Shape
{
private:
    int _b; // fel kell vennnk a mezket, amik nincsenek bent az sben
public:
    Rectangle(int a, int b) : Shape(a) // az rtkadst elvgezhetjk az sben
    {
        _b = b; // csak a tovbbi rtkadst vgezzk el itt
    }
    int Area() const { return _a * _b; }
    int Perimeter() const { return (_a + _b) * 2; }
};

#endif // RECTANGLE_HPP_INCLUDED
